Repository 32bit  Forum
Repository 64bit  Wiki

[RISOLTO]VLC non apre i file video

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[RISOLTO]VLC non apre i file video

Messaggioda leocata » mer ago 03, 2011 22:05

Non riesco ad aprire i file avi e mkx (non ho rpovato altri tipi) con VLC scaricato ed installato da i repository (13.37) di slacky.eu Ecco alcuni messaggi di errore
Codice: Seleziona tutto
bash-4.1$ vlc battesimo.avi
VLC media player 1.1.11 The Luggage (revision exported)
Blocked: call to unsetenv("DBUS_ACTIVATION_ADDRESS")
Blocked: call to unsetenv("DBUS_ACTIVATION_BUS_TYPE")
[0x806714c] main libvlc: Esecuzione di vlc con l'interfaccia predefinita. Usa 'cvlc' per utilizzare vlc senza interfaccia.
Blocked: call to setlocale(6, "")
Blocked: call to setenv("ORBIT_SOCKETDIR", "/tmp/orbit-leonardo", 1)
Warning: call to srand(1312308391)
Warning: call to rand()
QGtkStyle was unable to detect the current GTK+ theme.
Blocked: call to setlocale(6, "")
[b][0xb4416814] main decoder error: no suitable decoder module for fourcc `dv  '. VLC probably does not support this sound or video format.[/b]
bash-4.1$ vlc topolino.avi
VLC media player 1.1.11 The Luggage (revision exported)
Blocked: call to unsetenv("DBUS_ACTIVATION_ADDRESS")
Blocked: call to unsetenv("DBUS_ACTIVATION_BUS_TYPE")
[0x806714c] main libvlc: Esecuzione di vlc con l'interfaccia predefinita. Usa 'cvlc' per utilizzare vlc senza interfaccia.
Blocked: call to setlocale(6, "")
Blocked: call to setenv("ORBIT_SOCKETDIR", "/tmp/orbit-leonardo", 1)
Warning: call to srand(1312312994)
Warning: call to rand()
QGtkStyle was unable to detect the current GTK+ theme.
Blocked: call to setlocale(6, "")
[0x825fc7c] main decoder error: no suitable decoder module for fourcc `mp4v'. VLC probably does not support this sound or video format.

Ultima modifica di leocata il mer ago 03, 2011 22:49, modificato 1 volta in totale.
leocata
Linux 2.6
Linux 2.6
 
Messaggi: 550
Iscritto il: mar feb 05, 2008 22:25
Località: Giarre(CT)
Slackware: 13.1
Desktop: xfce 4.x

Re: VLC non apre i file video

Messaggioda tornadomig » mer ago 03, 2011 22:33

per tagliare la testa al toro, instàllati vlc di alienbob da qui http://connie.slackware.com/~alien/slackbuilds/vlc/, occhio solo di prendere quello per la tua distribuzione, 32 o 64.
non dovresti avere più problemi. fai caso anche al peso del pacchetto! 8-)
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 508
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: VLC non apre i file video

Messaggioda leocata » mer ago 03, 2011 22:49

Ho decapitato il Toro... Grazie
leocata
Linux 2.6
Linux 2.6
 
Messaggi: 550
Iscritto il: mar feb 05, 2008 22:25
Località: Giarre(CT)
Slackware: 13.1
Desktop: xfce 4.x

Re: [RISOLTO]VLC non apre i file video

Messaggioda dr_air » gio ago 04, 2011 7:20

Credo che il problema potesse comunque essere risolto sostituendo la versione 0.8.1 di ffmpeg con la 0.7.2.
E' questo il pacchetto che contiene i codecs di cui l'errore che ti segnala vlc.
Per non so quale ragione la versione 0.8.1 non sembrerebbe compatibile con vlc.
Avatar utente
dr_air
Linux 1.0
Linux 1.0
 
Messaggi: 91
Iscritto il: lun ott 08, 2007 12:31
Località: Bracciano
Slackware: 13.37
Kernel: 3.2
Desktop: xfce4.6.1


Torna a Slackware

Chi c’è in linea

Visitano il forum: Bing [Bot] e 3 ospiti